# ListedPrimitive Interface Reference
[Base data types used in Form, Classes implemented in PHP's extension.]

Inheritance diagram for ListedPrimitive:
[legend]

List of all members.

## Public Member Functions

| getList ()
| setList ($list)
| getChoiceValue ()
| getActualChoiceValue ()

## Detailed Description

Definition at line 16 of file ListedPrimitive.class.php.

## Member Function Documentation

ListedPrimitive::getActualChoiceValue | ( |  | ) |

Implemented in PrimitiveList, and PrimitiveMultiList.

ListedPrimitive::getChoiceValue | ( |  | ) |

Implemented in PrimitiveList, and PrimitiveMultiList.

ListedPrimitive::getList | ( |  | ) |

Returns:
  plain array of possible primitive choices

Implemented in PrimitiveList.

ListedPrimitive::setList | ( | $ | list | ) |

Implemented in PrimitiveList, and PrimitivePlainList.

The documentation for this interface was generated from the following file:

- core/Form/Primitives/ListedPrimitive.class.php